Subject: Re: [PULL] Networking for v6.3

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Feb 2023 19:33:54 -0800

On Tue, 21 Feb 2023 18:46:26 -0800 Linus Torvalds wrote:
> On Tue, Feb 21, 2023 at 3:38 PM Jakub Kicinski <[email-masked]> wrote:
> >
> >   git://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git tags/net-next-6.3  
> 
> Ok, so this is a bit nitpicky, but commit c7ef8221ca7d ("ice: use GNSS
> subsystem instead of TTY") ends up doing odd things to kernel configs.
> 
> My local configuration suddenly grew this:
> 
>     CONFIG_ICE_GNSS=y
> 
> which is pretty much nonsensical.
> 
> The reason? It's defined as
> 
>     config ICE_GNSS
>             def_bool GNSS = y || GNSS = ICE
> 
> and so it gets set even when both GNSS and ICE are both disabled,
> because 'n' = 'n'.
> 
> Does it end up *mattering*? No. It's only used in the ICE driver, but
> it really looks all kinds of odd, and it makes the resulting .config
> files illogical.
> 
> Maybe I'm the only one who looks at those things. I do it because I
> think they are sometimes easier to just edit directly, but also
> because for me it's a quick way to see if somebody has sneaked in new
> config options that are on by default when they shouldn't be.

Oh, we only check oldconfig so the hidden options don't pop up.
Let me make a note...

> I'd really prefer to not have the resulting config files polluted with
> nonsensical config options.
> 
> I suspect it would be as simple as adding a
> 
>         depends on ICE != n
> 
> to that thing, but I didn't get around to testing that. I thought it
> would be better to notify the guilty parties.
> 
> Anyway, this has obviously not held up me pulling the networking
> changes, and you should just see this as (yet another) sign of "yeah,
> Linus cares about those config files to a somewhat unhealthy degree".

Thanks! We'll take care of it shortly.